ScalaCompileOptions (Gradle API 2.14.1)

Package: org.gradle.api.tasks.scala

## [Java] Class ScalaCompileOptions

- org.gradle.api.tasks.scala.ScalaCompileOptions

- Options for Scala compilation, including the use of the Ant-backed compiler.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `daemonServer` |
    `protected boolean` | `fork` |
    `protected boolean` | `useAnt` |
    `protected boolean` | `useCompileDaemon` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `protected String` | `getAntPropertyName(String fieldName)`
    `protected Object` | `getAntPropertyValue(String fieldName, Object value)`
    `String` | `getDaemonServer()` Server (host:port) on which the compile daemon is running.
    `boolean` | `isFork()` Whether to run the Scala compiler in a separate process.
    `boolean` | `isUseAnt()` Tells whether to use Ant for compilation.
    `boolean` | `isUseCompileDaemon()` Whether to use the fsc compile daemon.
    `void` | `setDaemonServer(String daemonServer)`
    `void` | `setFork(boolean fork)`
    `void` | `setUseAnt(boolean useAnt)`
    `void` | `setUseCompileDaemon(boolean useCompileDaemon)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseScalaCompileOptions` | `getAdditionalParameters, getDebugLevel, getEncoding, getForkOptions, getIncrementalOptions, getLoggingLevel, getLoggingPhases, isDeprecation, isFailOnError, isForce, isListFiles, isOptimize, isUnchecked, setAdditionalParameters, setDebugLevel, setDeprecation, setEncoding, setFailOnError, setForce, setForkOptions, setIncrementalOptions, setListFiles, setLoggingLevel, setLoggingPhases, setOptimize, setUnchecked`
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected String daemonServer

    - #### protected boolean fork

    - #### protected boolean useAnt

    - #### protected boolean useCompileDaemon

  - ### Method Detail

    - #### protected boolean excludeFromAntProperties(String fieldName)

    - #### protected String getAntPropertyName(String fieldName)

    - #### protected Object getAntPropertyValue(String fieldName, Object value)

    - #### @Deprecated public String getDaemonServer()

      Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.

    - #### @Deprecated public boolean isFork()

      Whether to run the Scala compiler in a separate process. Defaults to `false` for the Ant based compiler (`useAnt = true`), and to `true` for the Zinc based compiler (`useAnt = false`).

    - #### @Deprecated public boolean isUseAnt()

      Tells whether to use Ant for compilation. If `true`, the standard Ant scalac (or fsc) task will be used for Scala and Java joint compilation. If `false`, the Zinc incremental compiler will be used instead. The latter can be significantly faster, especially if there are few source code changes between compiler runs. Defaults to `true`.

    - #### @Deprecated public boolean isUseCompileDaemon()

      Whether to use the fsc compile daemon.

    - #### @Deprecated public void setDaemonServer(String daemonServer)

    - #### @Deprecated public void setFork(boolean fork)

    - #### @Deprecated public void setUseAnt(boolean useAnt)

    - #### @Deprecated public void setUseCompileDaemon(boolean useCompileDaemon)